a13nDocs

打开 Run 中的 App

使用重新读取的 HTML 和原始工具结果打开已保存的 MCP App。

POST/api/v1/runs/{run_id}/apps/{app_id}/open

使用重新读取的 HTML 和原始工具结果打开已保存的 MCP App。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

run_id*Run Id
app_id*App Id

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/runs/string/apps/string/open"
{  "arguments": {    "property1": null,    "property2": null  },  "reference": {    "agent_revision_id": "string",    "app_id": "string",    "connection_id": "string",    "resource_uri": "string",    "source_run_id": "string",    "tool_call_id": "string",    "tool_name": "string",    "unavailable": false  },  "resource": {    "html": "string",    "metadata": {      "property1": null,      "property2": null    },    "mime_type": "string",    "uri": "string"  },  "result": {    "property1": null,    "property2": null  },  "tool": {    "property1": null,    "property2": null  }}